Index: uspace/lib/drv/generic/remote_ahci.c
===================================================================
--- uspace/lib/drv/generic/remote_ahci.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/drv/generic/remote_ahci.c	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -62,17 +62,17 @@
 {
 	// FIXME: Use a better way than substring match
-	
+
 	*name = NULL;
-	
+
 	char devn[MAX_NAME_LENGTH];
 	errno_t rc = devman_fun_get_name(funh, devn, MAX_NAME_LENGTH);
 	if (rc != EOK)
 		return NULL;
-	
+
 	size_t devn_size = str_size(devn);
-	
+
 	if ((devn_size > 5) && (str_lcmp(devn, "ahci_", 5) == 0)) {
 		async_sess_t *sess = devman_device_connect(funh, IPC_FLAG_BLOCKING);
-		
+
 		if (sess) {
 			*name = str_dup(devn);
@@ -80,5 +80,5 @@
 		}
 	}
-	
+
 	return NULL;
 }
@@ -90,13 +90,13 @@
 	if (!exch)
 		return EINVAL;
-	
+
 	aid_t req = async_send_2(exch, DEV_IFACE_ID(AHCI_DEV_IFACE),
 	    IPC_M_AHCI_GET_SATA_DEVICE_NAME, sata_dev_name_length, NULL);
-	
+
 	async_data_read_start(exch, sata_dev_name, sata_dev_name_length);
-	
+
 	errno_t rc;
 	async_wait_for(req, &rc);
-	
+
 	return rc;
 }
@@ -107,17 +107,17 @@
 	if (!exch)
 		return EINVAL;
-	
+
 	sysarg_t blocks_hi;
 	sysarg_t blocks_lo;
 	errno_t rc = async_req_1_2(exch, DEV_IFACE_ID(AHCI_DEV_IFACE),
 	    IPC_M_AHCI_GET_NUM_BLOCKS, &blocks_hi, &blocks_lo);
-	
+
 	async_exchange_end(exch);
-	
+
 	if (rc == EOK) {
 		*blocks = (((uint64_t) blocks_hi) << 32)
 		    | (((uint64_t) blocks_lo) & 0xffffffff);
 	}
-	
+
 	return rc;
 }
@@ -128,14 +128,14 @@
 	if (!exch)
 		return EINVAL;
-	
+
 	sysarg_t bs;
 	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(AHCI_DEV_IFACE),
 	    IPC_M_AHCI_GET_BLOCK_SIZE, &bs);
-	
+
 	async_exchange_end(exch);
-	
+
 	if (rc == EOK)
 		*blocks_size = (size_t) bs;
-	
+
 	return rc;
 }
@@ -147,16 +147,16 @@
 	if (!exch)
 		return EINVAL;
-	
+
 	aid_t req;
 	req = async_send_4(exch, DEV_IFACE_ID(AHCI_DEV_IFACE),
 	    IPC_M_AHCI_READ_BLOCKS, HI(blocknum),  LO(blocknum), count, NULL);
-	
+
 	async_share_out_start(exch, buf, AS_AREA_READ | AS_AREA_WRITE);
-	
+
 	async_exchange_end(exch);
-	
+
 	errno_t rc;
 	async_wait_for(req, &rc);
-	
+
 	return rc;
 }
@@ -168,15 +168,15 @@
 	if (!exch)
 		return EINVAL;
-	
+
 	aid_t req = async_send_4(exch, DEV_IFACE_ID(AHCI_DEV_IFACE),
 	    IPC_M_AHCI_WRITE_BLOCKS, HI(blocknum),  LO(blocknum), count, NULL);
-	
+
 	async_share_out_start(exch, buf, AS_AREA_READ | AS_AREA_WRITE);
-	
+
 	async_exchange_end(exch);
-	
+
 	errno_t rc;
 	async_wait_for(req, &rc);
-	
+
 	return rc;
 }
@@ -213,13 +213,13 @@
 {
 	const ahci_iface_t *ahci_iface = (ahci_iface_t *) iface;
-	
+
 	if (ahci_iface->get_sata_device_name == NULL) {
 		async_answer_0(callid, ENOTSUP);
 		return;
 	}
-	
+
 	const size_t sata_dev_name_length =
 	    (size_t) DEV_IPC_GET_ARG1(*call);
-	
+
 	char* sata_dev_name = malloc(sata_dev_name_length);
 	if (sata_dev_name == NULL) {
@@ -227,8 +227,8 @@
 		return;
 	}
-	
+
 	const errno_t ret = ahci_iface->get_sata_device_name(fun,
 	    sata_dev_name_length, sata_dev_name);
-	
+
 	size_t real_size;
 	ipc_callid_t cid;
@@ -236,5 +236,5 @@
 	    (real_size == sata_dev_name_length))
 		async_data_read_finalize(cid, sata_dev_name, sata_dev_name_length);
-	
+
 	free(sata_dev_name);
 	async_answer_0(callid, ret);
@@ -245,13 +245,13 @@
 {
 	const ahci_iface_t *ahci_iface = (ahci_iface_t *) iface;
-	
+
 	if (ahci_iface->get_num_blocks == NULL) {
 		async_answer_0(callid, ENOTSUP);
 		return;
 	}
-	
+
 	uint64_t blocks;
 	const errno_t ret = ahci_iface->get_num_blocks(fun, &blocks);
-	
+
 	if (ret != EOK)
 		async_answer_0(callid, ret);
@@ -264,13 +264,13 @@
 {
 	const ahci_iface_t *ahci_iface = (ahci_iface_t *) iface;
-	
+
 	if (ahci_iface->get_block_size == NULL) {
 		async_answer_0(callid, ENOTSUP);
 		return;
 	}
-	
+
 	size_t blocks;
 	const errno_t ret = ahci_iface->get_block_size(fun, &blocks);
-	
+
 	if (ret != EOK)
 		async_answer_0(callid, ret);
@@ -283,26 +283,26 @@
 {
 	const ahci_iface_t *ahci_iface = (ahci_iface_t *) iface;
-	
+
 	if (ahci_iface->read_blocks == NULL) {
 		async_answer_0(callid, ENOTSUP);
 		return;
 	}
-	
+
 	size_t maxblock_size;
 	unsigned int flags;
-	
+
 	ipc_callid_t cid;
 	async_share_out_receive(&cid, &maxblock_size, &flags);
-	
+
 	void *buf;
 	async_share_out_finalize(cid, &buf);
-	
+
 	const uint64_t blocknum =
 	    (((uint64_t) (DEV_IPC_GET_ARG1(*call))) << 32) |
 	    (((uint64_t) (DEV_IPC_GET_ARG2(*call))) & 0xffffffff);
 	const size_t cnt = (size_t) DEV_IPC_GET_ARG3(*call);
-	
+
 	const errno_t ret = ahci_iface->read_blocks(fun, blocknum, cnt, buf);
-	
+
 	async_answer_0(callid, ret);
 }
@@ -312,26 +312,26 @@
 {
 	const ahci_iface_t *ahci_iface = (ahci_iface_t *) iface;
-	
+
 	if (ahci_iface->read_blocks == NULL) {
 		async_answer_0(callid, ENOTSUP);
 		return;
 	}
-	
+
 	size_t maxblock_size;
 	unsigned int flags;
-	
+
 	ipc_callid_t cid;
 	async_share_out_receive(&cid, &maxblock_size, &flags);
-	
+
 	void *buf;
 	async_share_out_finalize(cid, &buf);
-	
+
 	const uint64_t blocknum =
 	    (((uint64_t)(DEV_IPC_GET_ARG1(*call))) << 32) |
 	    (((uint64_t)(DEV_IPC_GET_ARG2(*call))) & 0xffffffff);
 	const size_t cnt = (size_t) DEV_IPC_GET_ARG3(*call);
-	
+
 	const errno_t ret = ahci_iface->write_blocks(fun, blocknum, cnt, buf);
-	
+
 	async_answer_0(callid, ret);
 }
